help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Instaling 23.1 on Snow Leopard


From: Tim Visher
Subject: Re: Instaling 23.1 on Snow Leopard
Date: Wed, 16 Sep 2009 09:15:17 -0400

On Tue, Sep 15, 2009 at 12:09 AM, Stuart Russell <address@hidden> wrote:
> I just recently upgraded my macBook to Snow Leopard and would like to get
> emacs 23.1 running as this is the editor of choice for the CIS department
> from which I am taking classes.  I used X11 to navigate to the "emacs-23.1"
> directory and typed "./configure".  I got an error saying that I do not have
> gcc or cc on my machine (screenshot attached).  Can anybody help?  Sorry if
> this was already posted, i checked and did not see anything.

As was already mentioned by Alberto, there are pre-built binaries.  If
you don't want to use them, I've had great success using
[MacPorts](http://www.macports.org/).  You will need to install the
developer tools, though.  It's available in the optional installs
section of your Snow Leopard disk or as a download on the [Apple
Developer Site](http://developer.apple.com/) (for which you need a
free account, which has also already been mentioned.

I would recomend going with MacPorts as you not only get Emacs (`sudo
port install emacs-app`) but a wealth of other open source tools and
apps that I couldn't go without anymore.

-- 

In Christ,

Timmy V.

http://burningones.com/
http://five.sentenc.es/ - Spend less time on e-mail




reply via email to

[Prev in Thread] Current Thread [Next in Thread]